package com.qxgmat.dto.admin.request;

import com.nuliji.tools.annotation.Dto;
import com.qxgmat.data.dao.entity.Rank;

@Dto(entity = Rank.class)
public class RankDto {
    private Integer id;
    /**
     * 总分
     */
    private Integer totalScore;

    /**
     * 总排行
     */
    private String totalRank;

    /**
     * quant分数
     */
    private Integer quantScore;

    /**
     * quant排行
     */
    private String quantRank;

    /**
     * verbal分数
     */
    private Integer verbalScore;

    /**
     * verbal排行
     */
    private String verbalRank;

    public Integer getTotalScore() {
        return totalScore;
    }

    public void setTotalScore(Integer totalScore) {
        this.totalScore = totalScore;
    }

    public String getTotalRank() {
        return totalRank;
    }

    public void setTotalRank(String totalRank) {
        this.totalRank = totalRank;
    }

    public Integer getQuantScore() {
        return quantScore;
    }

    public void setQuantScore(Integer quantScore) {
        this.quantScore = quantScore;
    }

    public String getQuantRank() {
        return quantRank;
    }

    public void setQuantRank(String quantRank) {
        this.quantRank = quantRank;
    }

    public Integer getVerbalScore() {
        return verbalScore;
    }

    public void setVerbalScore(Integer verbalScore) {
        this.verbalScore = verbalScore;
    }

    public String getVerbalRank() {
        return verbalRank;
    }

    public void setVerbalRank(String verbalRank) {
        this.verbalRank = verbalRank;
    }

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }
}
